Card Shipments

Get shipment

GEThttps://api.firstleeward.com/v0/card-shipments/:id

Unified card shipments API. Ship one card or up to 200 cards in a single draft-first shipment.

Authorizations

Authorizationstring · headerrequired

API key as Bearer token, e.g. Bearer YOUR_API_KEY

Headers

Leeward-Versionenum<string>required

API version (YYYY-MM-DD). Available option: 2026-09-18

Path Parameters

idstring<uuid>required

Response

200Card shipment with member cards
idstring<uuid>required

Unique shipment identifier

statusstringrequired

Shipment lifecycle status

Available options:DRAFTPLACEDIN_PRODUCTIONREADY_TO_SHIPIN_TRANSITOUT_FOR_DELIVERYDELIVEREDDELIVERY_FAILEDEXCEPTIONCANCELED
destinationAddressobjectrequired

Shipping address

Show child attributes
line1stringrequired

Street address line 1

line2string | nullrequired

Street address line 2

zonestring | nullrequired

State, province, or zone

citystringrequired

City

postalCodestringrequired

Postal code

countrystringrequired

ISO 3166-1 alpha-2 country code

recipientobjectrequired

Recipient details

Show child attributes
firstNamestringrequired

Recipient first name

lastNamestringrequired

Recipient last name

phoneNumberstringrequired

Recipient phone number

dialCodeintegerrequired

Phone dial code

emailstring<email>required

Recipient email address

courierobjectrequired

Courier on the shipment

Show child attributes
Option 1 · Postal
typestringrequired
Option 2 · Courier
typestringrequired
namestringrequired

Courier name. May be manufacturer-assigned after submit.

Available options:DHLFEDEXSFEXPRESS
trackingNumberstring | nullrequired

Courier tracking number

trackingUrlstring | nullrequired

Courier tracking URL

cutoffDatestring | nullrequired

ISO 8601 cutoff date returned by the manufacturer

createdAtstringrequired

ISO 8601 creation timestamp

updatedAtstringrequired

ISO 8601 last update timestamp

submittedAtstring | nullrequired

ISO 8601 timestamp when submitted to the manufacturer

deliveredAtstring | nullrequired

ISO 8601 timestamp when all cards were delivered

cardsobject[]required

Cards included in this shipment

Show child attributes
idstring<uuid>required

Unique shipment member identifier

cardIdstring<uuid>required

ID of the card being shipped

cardDesignIdstringrequired

Card design identifier

shippingAddressobjectrequired

Shipping address

Show child attributes
line1stringrequired

Street address line 1

line2string | nullrequired

Street address line 2

zonestring | nullrequired

State, province, or zone

citystringrequired

City

postalCodestringrequired

Postal code

countrystringrequired

ISO 3166-1 alpha-2 country code

productionStatusstringrequired

Per-card production status

Available options:PENDINGREQUESTEDIN_PRODUCTIONCOMPLETEDACTIVATEDCANCELEDON_HOLDBULK_SHIP_REJECTED
rejectedAtstring | nullrequired

ISO 8601 timestamp when this card was rejected and excluded from the shipment, or null if the card was accepted

createdAtstringrequired

ISO 8601 creation timestamp

updatedAtstringrequired

ISO 8601 last update timestamp

404Card shipment not found
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailobject | nullrequired